import request from '@/utils/request'

// 查询授权荣誉列表
export function listAuthorizeHonor(query) {
  return request({
    url: '/hezhi/authorizeHonor/list',
    method: 'get',
    params: query
  })
}

// 查询授权荣誉详细
export function getAuthorizeHonor(authorizeHonorId) {
  return request({
    url: '/hezhi/authorizeHonor/' + authorizeHonorId,
    method: 'get'
  })
}

// 新增授权荣誉
export function addAuthorizeHonor(data) {
  return request({
    url: '/hezhi/authorizeHonor',
    method: 'post',
    data: data
  })
}

// 修改授权荣誉
export function updateAuthorizeHonor(data) {
  return request({
    url: '/hezhi/authorizeHonor',
    method: 'put',
    data: data
  })
}

// 删除授权荣誉
export function delAuthorizeHonor(authorizeHonorId) {
  return request({
    url: '/hezhi/authorizeHonor/' + authorizeHonorId,
    method: 'delete'
  })
}
